List deliveries
get
/v2/projects/{ref}/webhooks/endpoints/{id}/deliveriesList all deliveries for a specific endpoint in descending order (newest first).
Deliveries which has expired are no longer available and will not be listed.
Path parameters
- refRequiredstring
Project ref
- idRequiredstring
Identifier of an endpoint (UUID v7).
Query parameters
- page[before]Optionalstring
Cursor in cursor-based pagination to return up to
page[size]records before (exclusive) the entry specified by this query param. - page[after]Optionalstring
Cursor in cursor-based pagination to return up to
page[size]records after (exclusive) the entry specified by this query param. - page[size]Optionalstring
Up to how many records to return.
Response codes
- 200
- 400
- 401
- 403
- 404
- 408
- 429
- 500
Response (200)
{ "data": [ { "type": "delivery", "id": "00000000-0000-0000-0000-000000000000", "attributes": { "id": "00000000-0000-0000-0000-000000000000", "event_id": "00000000-0000-0000-0000-000000000000", "status": "pending", "response_code": -9007199254740991, "response_headers": { "property1": "lorem", "property2": "lorem" }, "response_body": { "property1": "lorem", "property2": "lorem" }, "attempt_timestamp": "4404-02-29T04:24Z" } } ], "links": { "first": "/v2/organizations/slug/webhooks/endpoints/{id}/deliveries?page[size]=10", "prev": "/v2/organizations/slug/webhooks/endpoints/{id}/deliveries?page[size]=10&page[before]=019adf7d-4513-74c5-bb9a-f1bc0f7a95d7", "next": "/v2/organizations/slug/webhooks/endpoints/{id}/deliveries?page[size]=10&page[after]=019adf7d-4513-7062-b292-78b86cc470a4", "last": "/v2/organizations/slug/webhooks/endpoints/{id}/deliveries?page[size]=10&page[after]=019adf7d-4513-71ba-b264-21900edb4295" }}